Debian Bug report logs - #375491
partman-auto-lvm: should automatically delete existing LVM

Package: partman-auto; Maintainer for partman-auto is Debian Install System Team <debian-boot@lists.debian.org>; Source for partman-auto is src:partman-auto.

Reported by: Frans Pop <elendil@planet.nl>

Date: Mon, 26 Jun 2006 11:18:05 UTC

Severity: wishlist

Tags: patch

Merged with 381693, 382315

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#375491; Package partman-auto-lvm. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: submit@bugs.debian.org
Subject: partman-auto-lvm: should automatically delete existing LVM
Date: Mon, 26 Jun 2006 13:05:19 +0200
[Message part 1 (text/plain, inline)]
Package: partman-auto-lvm
Version: 13
Severity: minor

Currently p-a-l fails if the selected disk already contains VGs and/or 
LVs. It would be better if p-a-l would automatically delete existing LVM 
stuff on the selected device (probably after a warning) before writing a 
new disklabel.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#375491; Package partman-auto-lvm. Full text and rfc822 format available.

Acknowledgement sent to David Härdeman <david@2gen.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 375491@bugs.debian.org (full text, mbox):

From: David Härdeman <david@2gen.com>
To: 375491@bugs.debian.org
Subject: Re: Bug#375491: partman-auto-lvm: should automatically delete existing LVM
Date: Mon, 26 Jun 2006 16:14:38 +0200 (CEST)
On Mon, June 26, 2006 13:05, Frans Pop said:
> Currently p-a-l fails if the selected disk already contains VGs and/or
> LVs. It would be better if p-a-l would automatically delete existing LVM
> stuff on the selected device (probably after a warning) before writing a
> new disklabel.

Is the warning necessary? If I recall correctly, no warning is shown if
there is a pre-existing file system on the device, so only warning when
there is some old LVM content seems inconsistent (if my recollection is
correct that is)





Forcibly Merged 375491 381693 382315. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#375491; Package partman-auto-lvm. Full text and rfc822 format available.

Acknowledgement sent to Ronny Aasen <ronny@skolelinux.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 375491@bugs.debian.org (full text, mbox):

From: Ronny Aasen <ronny@skolelinux.org>
To: 375491@bugs.debian.org
Subject: patch suggestion
Date: Mon, 21 Aug 2006 20:55:01 +0200
Hello

I have written a patch that i hope could help on this issue.
it can probably be santized, or rewritten in a better way, but it works 
for me as it looks now.

what it does is basicaly.
it checks that it's beeing run preseeded, if not it does nothing.
if the lvm check finds lvm volumes on the disk, it will check that these 
volume groups are not spanning multiple disks, if they do it will fail 
with the same error as before.
if it finds that the vg is isolated to the disk, preseeded to be erased, 
it removes all Logicalvolumes, and VolumeGroups on that disk.


Ronny Aasen


=== patch ====
ronny@home:~/svn/partman/partman-auto-lvm$ svn diff
Index: autopartition-lvm
===================================================================
--- autopartition-lvm   (revision 40105)
+++ autopartition-lvm   (working copy)
@@ -26,10 +26,42 @@
       log-output -t update-dev update-dev
fi

+
# Check if the device already contains any physical volumes
realdev=$(mapdevfs "$(cat $dev/device)")
if pv_on_device "$realdev"; then
-       bail_out pv_on_device
+       # If we are beeing preseeded with partman-auto-lv/disk, then try 
to make sure lv's
+       # and vg's are removed from the disk in question.
+       db_get partman-auto-lvm/disk
+       diskseed=$(mapdevfs $RET)
+       if [ "$diskseed" = "$realdev" ] ;then
+               #what volume groups is on any of the the target disk 
partitions.
+               targetvolumegroups=`pvs --noheading --separator=";" | 
grep $realdev | cut -d";" -f2`
+               for vgroup in $targetvolumegroups
+               do
+                       #make sure the volume groups on the target disk 
don't span any other disks.
+                       if [ "1" -ne `vgs --noheading --separator=";"| 
grep $vgroup | cut -d";" -f2` ] ;then
+                               log-output -t partman-auto-lvs vgs
+                               bail_out pv_on_device
+                       fi
+               done
+
+               #it should now be safe to remove the vg's on the target 
disks
+
+               #remove lv's  from the target vg's.
+               for vgroup in $targetvolumegroups
+               do
+                       for lv in `vgs --noheadings -o lv_name $vgroup`
+                       do
+                               #remove the logical volumes on the 
volume group
+                               log-output -t partman-auto-lvm lvremove 
/dev/$vgroup/$lv
+                       done
+                       #remove the volume group
+                       log-output -t partman-auto-lvm vgremove $vgroup
+               done
+       else
+               bail_out pv_on_device
+       fi
fi

choose_recipe "$free_size" lvm || exit $?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#375491; Package partman-auto-lvm. Full text and rfc822 format available.

Acknowledgement sent to Ronny Aasen <ronny@skolelinux.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 375491@bugs.debian.org (full text, mbox):

From: Ronny Aasen <ronny@skolelinux.org>
To: 375491@bugs.debian.org
Subject: patch suggestion
Date: Mon, 21 Aug 2006 21:26:38 +0200
[Message part 1 (text/plain, inline)]
patch attached instead

Ronny Aasen




[autopartition-lvm.patch (text/plain, inline)]
Index: autopartition-lvm
===================================================================
--- autopartition-lvm	(revision 40105)
+++ autopartition-lvm	(working copy)
@@ -26,10 +26,42 @@
 	log-output -t update-dev update-dev
 fi
 
+
 # Check if the device already contains any physical volumes
 realdev=$(mapdevfs "$(cat $dev/device)")
 if pv_on_device "$realdev"; then
-	bail_out pv_on_device
+	# If we are beeing preseeded with partman-auto-lv/disk, then try to make sure lv's 
+	# and vg's are removed from the disk in question.
+	db_get partman-auto-lvm/disk
+	diskseed=$(mapdevfs $RET)
+	if [ "$diskseed" = "$realdev" ] ;then
+		#what volume groups is on any of the the target disk partitions.
+		targetvolumegroups=`pvs --noheading --separator=";" | grep $realdev | cut -d";" -f2`
+		for vgroup in $targetvolumegroups
+		do
+	        	#make sure the volume groups on the target disk don't span any other disks.
+			if [ "1" -ne `vgs --noheading --separator=";"| grep $vgroup | cut -d";" -f2` ] ;then
+				log-output -t partman-auto-lvs vgs 
+				bail_out pv_on_device
+			fi
+		done
+		
+		#it should now be safe to remove the vg's on the target disks
+
+		#remove lv's  from the target vg's.
+		for vgroup in $targetvolumegroups
+		do
+			for lv in `vgs --noheadings -o lv_name $vgroup`
+			do
+				#remove the logical volumes on the volume group
+	   			log-output -t partman-auto-lvm lvremove /dev/$vgroup/$lv
+			done
+			#remove the volume group
+			log-output -t partman-auto-lvm vgremove $vgroup
+		done
+	else
+		bail_out pv_on_device
+	fi
 fi
 
 choose_recipe "$free_size" lvm || exit $?

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#375491; Package partman-auto-lvm. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #27 received at 375491@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: Ronny Aasen <ronny@skolelinux.org>, 375491@bugs.debian.org
Subject: Re: Bug#375491: patch suggestion
Date: Mon, 21 Aug 2006 21:47:59 +0200
[Message part 1 (text/plain, inline)]
On Monday 21 August 2006 20:55, Ronny Aasen wrote:
> I have written a patch that i hope could help on this issue.
> it can probably be santized, or rewritten in a better way, but it works
> for me as it looks now.

Thanks Ronny.

> what it does is basicaly.
> it checks that it's beeing run preseeded, if not it does nothing.

We really want to do the same when running interactive, but with a message 
to the user what is being deleted. If you feel up to trying that too, 
feel free. If not, someone else probably will when applying this.

Basically this means adding a boolean template with the question to 
confirm and a couple of variables to show the VGs and LVs to be removed 
(examples of similar templates and how to use them available in 
partman-lvm).
We would probably want to have the user preseed this template to "true" if 
he wants to delete without confirmation, so the test if LVM was preseeded 
would no longer be needed.

Again, you don't have to be the person to add this, but that is basically 
what we need for the final solution (at least as I see it).

> if the lvm check finds lvm volumes on the disk, it will check that
> these volume groups are not spanning multiple disks, if they do it will
> fail with the same error as before.

The current error should then probably be rewritten slightly to better 
describe the actual error situation.

> if it finds that the vg is isolated to the disk, preseeded to be
> erased, it removes all Logicalvolumes, and VolumeGroups on that disk.

The basic algorithm looks OK, but you should probably try to use the 
general functions already available in lvm_tools.sh (part of the 
partman-lvm package) instead of the direct calls to pvs and vgs.

Cheers,
FJP
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#375491; Package partman-auto-lvm. Full text and rfc822 format available.

Acknowledgement sent to David Härdeman <david@2gen.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #32 received at 375491@bugs.debian.org (full text, mbox):

From: David Härdeman <david@2gen.com>
To: 375491@bugs.debian.org
Cc: Ronny Aasen <ronny@skolelinux.org>
Subject: Re: Bug#375491: patch suggestion
Date: Tue, 22 Aug 2006 02:15:28 +0200
On Mon, Aug 21, 2006 at 09:47:59PM +0200, Frans Pop wrote:
>On Monday 21 August 2006 20:55, Ronny Aasen wrote:
>> if it finds that the vg is isolated to the disk, preseeded to be
>> erased, it removes all Logicalvolumes, and VolumeGroups on that disk.
>
>The basic algorithm looks OK, but you should probably try to use the 
>general functions already available in lvm_tools.sh (part of the 
>partman-lvm package) instead of the direct calls to pvs and vgs.

I think it would be a good idea to separate out the functionality to a 
lvm_purge_from_disk function in lvm_tools.sh.

Then it can be used both for partman-lvm and partman-auto-lvm, and in 
addition it would be trivial to use this if partman-auto-lvm gains 
support for multiple disks later.

Regards,
David



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#375491; Package partman-auto-lvm. Full text and rfc822 format available.

Acknowledgement sent to Ronny Aasen <ronny@skolelinux.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #37 received at 375491@bugs.debian.org (full text, mbox):

From: Ronny Aasen <ronny@skolelinux.org>
To: 375491@bugs.debian.org
Subject: Re: Bug#375491: patch suggestion
Date: Wed, 23 Aug 2006 21:21:35 +0200
> The basic algorithm looks OK, but you should probably try to use the 
> general functions already available in lvm_tools.sh (part of the 
> partman-lvm package) instead of the direct calls to pvs and vgs.
>   
I begin at the end, since that was the easy part.
Attached is a patch doing the same, but using the functions from 
lvm_tools.sh
I might give a shot at the other issues too, but since i am mostly 
fumbeling around it may take quite some time.

Ronny Aasen



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#375491; Package partman-auto-lvm. Full text and rfc822 format available.

Acknowledgement sent to Ronny Aasen <ronny@skolelinux.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #42 received at 375491@bugs.debian.org (full text, mbox):

From: Ronny Aasen <ronny@skolelinux.org>
To: 375491@bugs.debian.org
Subject: Re: Bug#375491: patch suggestion
Date: Wed, 23 Aug 2006 21:26:25 +0200
[Message part 1 (text/plain, inline)]
patch
[autopartition-lvm-2.patch (text/plain, inline)]
Index: autopartition-lvm
===================================================================
--- autopartition-lvm	(revision 40105)
+++ autopartition-lvm	(working copy)
@@ -26,10 +26,50 @@
 	log-output -t update-dev update-dev
 fi
 
+
 # Check if the device already contains any physical volumes
 realdev=$(mapdevfs "$(cat $dev/device)")
 if pv_on_device "$realdev"; then
-	bail_out pv_on_device
+	# If we are beeing preseeded with partman-auto-lv/disk, then try to make sure lv's 
+	# and vg's are removed from the disk in question.
+	targetvg=
+	db_get partman-auto-lvm/disk
+	diskseed=$(mapdevfs $RET)
+	if [ "$diskseed" = "$realdev" ] ;then
+		#what volume groups is on any of the the disk partitions.
+		all_volume_groups=$(vg_list)
+		#we only care about vg's on the preseeded disk
+		for vg in $all_volume_groups
+		do	
+			if [ "$(vg_list_pvs "$vg" | grep -c "$realdev")" != "0" ] ; then
+				targetvg=${targetvg}" $vg"
+			fi
+		done
+		for vgroup in $targetvg
+		do
+	        	#make sure the volume groups on the target disk don't span any other disks.
+			if [ "$(lvm_get_info vgs pv_count "$vgroup")" != "1" ] ; then
+				log-output -t partman-auto-lvs vgs
+				bail_out pv_on_device
+			fi
+		done
+		
+		#it should now be safe to remove the vg's on the target disks
+
+		#remove lv's  from the target vg's.
+		for vgroup in $targetvg
+		do
+			for lv in $(vg_list_lvs $vgroup)
+			do
+				#remove the logical volumes on the volume group
+	   			lv_delete $vgroup $lv
+			done
+			#remove the volume group
+			vg_delete $vgroup
+		done
+	else
+		bail_out pv_on_device
+	fi
 fi
 
 choose_recipe "$free_size" lvm || exit $?

Tags added: patch Request was from stappers@stappers.nl (Geert Stappers) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#375491; Package partman-auto-lvm. Full text and rfc822 format available.

Acknowledgement sent to Ronny Aasen <ronny@skolelinux.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #49 received at 375491@bugs.debian.org (full text, mbox):

From: Ronny Aasen <ronny@skolelinux.org>
To: 375491@bugs.debian.org
Subject: yet another lvm_removal_on_demand patch suggestion
Date: Thu, 24 Aug 2006 21:27:49 +0200
[Message part 1 (text/plain, inline)]
here is attached my 3rd attempth for lvm removal on installations.
It's basicaly Frans Pops suggestions. with a new template

if lvm is detected on the disk,
ask user if it's ok to delete them.
if yes ; delete
if no ; same error as before.
If this is acceptable ill see about adding something to the error 
description.

this works interactivly, and can preseed it as normal i expect.
It still errors out if the VG's on the selected disk span multiple disks.
I also tried to reuse some of the variables an not create a dozen when 
it was not needed.

hope someone can review and judge this

Ronny

[autopartition-lvm-3.patch (text/plain, inline)]
Index: debian/partman-auto-lvm.templates
===================================================================
--- debian/partman-auto-lvm.templates	(revision 40192)
+++ debian/partman-auto-lvm.templates	(working copy)
@@ -37,6 +37,15 @@
  You can choose to ignore this warning, but that may result in a failure to
  reboot the system after the installation is completed.
 
+Template: partman-auto-lvm/purge_lvm_from_device
+Type: boolean
+Default: false
+_Description: Remove all Logical Volume Configuration?
+ Before creating any Logical Volume Groups, we need to remove all exsisting
+ Logical Volumes and Volume Groups from the disk we are partitioning. 
+ .
+ WARNING     This will erase all data on LVM Partitions
+
 Template: partman-auto-lvm/pv_on_device
 Type: error
 _Description: Existing physical volume on the selected device
Index: autopartition-lvm
===================================================================
--- autopartition-lvm	(revision 40192)
+++ autopartition-lvm	(working copy)
@@ -26,10 +26,52 @@
 	log-output -t update-dev update-dev
 fi
 
+
 # Check if the device already contains any physical volumes
 realdev=$(mapdevfs "$(cat $dev/device)")
 if pv_on_device "$realdev"; then
-	bail_out pv_on_device
+	# Ask for mermission to erase LVM volumes 
+	db_set partman-auto-lvm/purge_lvm_from_device "false"
+        db_input critical partman-auto-lvm/purge_lvm_from_device
+        db_go
+        db_get partman-auto-lvm/purge_lvm_from_device
+	if [ "$RET" = "true" ] ;then 
+	
+		targetvg=
+		#what volume groups is on any of the the disk partitions.
+		all_volume_groups=$(vg_list)
+		#we only care about vg's on the selected disk
+		for vg in $all_volume_groups
+		do	
+			if [ "$(vg_list_pvs "$vg" | grep -c "$realdev")" != "0" ] ; then
+				targetvg=${targetvg}" $vg"
+			fi
+		done
+		for vg in $targetvg
+		do
+	        	#make sure the volume groups on the target disk don't span any other disks.
+			if [ "$(lvm_get_info vgs pv_count "$vg")" != "1" ] ; then
+				log-output -t partman-auto-lvs vgs
+				bail_out pv_on_device
+			fi
+		done
+		
+		#it should now be safe to remove the vg's on the target disks
+
+		#remove lv's  from the target vg's.
+		for vg in $targetvg
+		do
+			for lv in $(vg_list_lvs $vg)
+			do
+				#remove the logical volumes on the volume group
+	   			lv_delete $vg $lv
+			done
+			#remove the volume group
+			vg_delete $vg
+		done
+	else
+		bail_out pv_on_device
+	fi
 fi
 
 choose_recipe "$free_size" lvm || exit $?

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#375491; Package partman-auto-lvm. Full text and rfc822 format available.

Acknowledgement sent to stappers@stappers.nl (Geert Stappers):
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #54 received at 375491@bugs.debian.org (full text, mbox):

From: stappers@stappers.nl (Geert Stappers)
To: Ronny Aasen <ronny@skolelinux.org>, 375491@bugs.debian.org
Subject: Re: Bug#375491: yet another lvm_removal_on_demand patch suggestion
Date: Mon, 28 Aug 2006 23:28:55 +0200
On Thu, Aug 24, 2006 at 09:27:49PM +0200, Ronny Aasen wrote:
 <snip/>
> 
> this works interactivly, and can preseed it as normal i expect.
                               ^^^^^^^^^^^

Is it 'can preseed' or 'can be preseeded' ?


> hope someone can review and judge this
> 
> Ronny
> 

> --- autopartition-lvm	(revision 40192)
> +++ autopartition-lvm	(working copy)
> @@ -26,10 +26,52 @@
>  	log-output -t update-dev update-dev
>  fi
>  
> +

Why two blank lines? ( Please avoid inserting blank lines )

>  # Check if the device already contains any physical volumes
>  realdev=$(mapdevfs "$(cat $dev/device)")
>  if pv_on_device "$realdev"; then
> -	bail_out pv_on_device
> +	# Ask for mermission to erase LVM volumes 
> +	db_set partman-auto-lvm/purge_lvm_from_device "false"

I think that overwrites preseeding.

> +        db_input critical partman-auto-lvm/purge_lvm_from_device
> +        db_go
> +        db_get partman-auto-lvm/purge_lvm_from_device
> +	if [ "$RET" = "true" ] ;then 
> +	
> +		targetvg=

I do prefer an implicied "" to indicate an empty string.


> +		#what volume groups is on any of the the disk partitions.
 [ more added lines ]

But no comment ....


Geert Stappers
Trying to say: Your patch has been seen ...



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#375491; Package partman-auto-lvm. Full text and rfc822 format available.

Acknowledgement sent to David Härdeman <david@2gen.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #59 received at 375491@bugs.debian.org (full text, mbox):

From: David Härdeman <david@2gen.com>
To: Ronny Aasen <ronny@skolelinux.org>, 375491@bugs.debian.org
Subject: Re: Bug#375491: yet another lvm_removal_on_demand patch suggestion
Date: Tue, 29 Aug 2006 22:45:14 +0200
[Message part 1 (text/plain, inline)]
On Thu, Aug 24, 2006 at 09:27:49PM +0200, Ronny Aasen wrote:
>Index: debian/partman-auto-lvm.templates
>===================================================================
>--- debian/partman-auto-lvm.templates	(revision 40192)
>+++ debian/partman-auto-lvm.templates	(working copy)
>@@ -37,6 +37,15 @@
>  You can choose to ignore this warning, but that may result in a failure to
>  reboot the system after the installation is completed.
> 
>+Template: partman-auto-lvm/purge_lvm_from_device
>+Type: boolean
>+Default: false
>+_Description: Remove all Logical Volume Configuration?
>+ Before creating any Logical Volume Groups, we need to remove all exsisting
                                                                   ^^^^^^^^^
								    existing
>+ Logical Volumes and Volume Groups from the disk we are partitioning.

In general, I think phrases such as "we" should be avoided, but it would 
be better if Christian/Kamion/joeyh could review the template.

>+ .
>+ WARNING     This will erase all data on LVM Partitions
This will erase all data on the LVM volumes and on the disk?

>+
> Template: partman-auto-lvm/pv_on_device
> Type: error
> _Description: Existing physical volume on the selected device
>Index: autopartition-lvm
>===================================================================
>--- autopartition-lvm	(revision 40192)
>+++ autopartition-lvm	(working copy)
>@@ -26,10 +26,52 @@
> 	log-output -t update-dev update-dev
> fi
> 
>+
> # Check if the device already contains any physical volumes
> realdev=$(mapdevfs "$(cat $dev/device)")
> if pv_on_device "$realdev"; then
>-	bail_out pv_on_device
>+	# Ask for mermission to erase LVM volumes 
>+	db_set partman-auto-lvm/purge_lvm_from_device "false"

I think db_set will override preseedings (as Geert said)...

>+        db_input critical partman-auto-lvm/purge_lvm_from_device
>+        db_go

should be db_go || exit 1?

>+        db_get partman-auto-lvm/purge_lvm_from_device
>+	if [ "$RET" = "true" ] ;then 
>+	
>+		targetvg=
>+		#what volume groups is on any of the the disk partitions.
>+		all_volume_groups=$(vg_list)
>+		#we only care about vg's on the selected disk
>+		for vg in $all_volume_groups
>+		do	
>+			if [ "$(vg_list_pvs "$vg" | grep -c "$realdev")" != "0" ] ; then

this looks fishy...will it actually return zero? Shouldn't this be:
if $(vg_list_pvs "$vg" | grep -q "$realdev"); then

>+				targetvg=${targetvg}" $vg"

weird quotation marks.....targetvg="$targetvg $vg" would be expected 
here

>+			fi
>+		done
>+		for vg in $targetvg
>+		do
>+	        	#make sure the volume groups on the target disk don't span any other disks.

very good idea

>+			if [ "$(lvm_get_info vgs pv_count "$vg")" != "1" ] ; then
>+				log-output -t partman-auto-lvs vgs
>+				bail_out pv_on_device
>+			fi
>+		done
>+		
>+		#it should now be safe to remove the vg's on the target disks
>+
>+		#remove lv's  from the target vg's.
>+		for vg in $targetvg
>+		do
>+			for lv in $(vg_list_lvs $vg)
>+			do
>+				#remove the logical volumes on the volume group
>+	   			lv_delete $vg $lv
>+			done
>+			#remove the volume group
>+			vg_delete $vg
>+		done
>+	else
>+		bail_out pv_on_device
>+	fi

in addition to lv_delete and vg_delete, a pv_delete should also be done. 
It needs to be added to lvm-tools.sh, and should call pvremove, I've 
just added it myself :)

> fi
> 
> choose_recipe "$free_size" lvm || exit $?

After having looked at this, I'm wondering whether this shouldn't be 
added to wipe_disk() in partman-auto/auto-shared.sh instead. If it was, 
that would mean that all methods would be able to warn that they are 
about to remove LVM VG/LV/PV's before actually doing so.

Of course, it would need to include a check whether the lvm-tools.sh 
script is present before doing so, but I think it would be a good idea 
in general.

I've attached a patch which details what this could look like...

Thanks for your hard work on this and sorry that I've jumped in with my 
comments so late :)

Regards,
David
[375491-v1.patch (text/plain, inline)]
Index: auto-shared.sh
===================================================================
--- auto-shared.sh	(revision 40234)
+++ auto-shared.sh	(working copy)
@@ -1,9 +1,73 @@
 ## this file contains a bunch of shared code between partman-auto
 ## and partman-auto-lvm.
 
+lvm_wipe_disk() {
+	local realdev targetvgs all_vgs vg lv tmpdev
+
+	if [ ! -e /lib/partman/lvm_tools.sh ]; then
+		return 1
+	fi
+
+	. /lib/partman/lvm_tools.sh
+
+	# Check if the device already contains any physical volumes
+	realdev=$(mapdevfs "$(cat $dev/device)")
+	if pv_on_device "$realdev"; then
+		# Ask for mermission to erase LVM volumes 
+		db_input critical partman-auto/purge_lvm_from_device
+		db_go || return 1
+		db_get partman-auto/purge_lvm_from_device
+		if [ "$RET" != "true" ]; then
+			db_input critical partman-auto/pv_on_device || true
+			db_go || true
+			return 1
+		fi
+
+		# Find VG's on the selected disk
+		all_vgs=$(vg_list)
+		targetvgs=""
+		for vg in $all_volume_groups; do	
+			if $(vg_list_pvs "$vg" | grep -q "$realdev"); then
+				targetvgs="$targetvgs $vg"
+			fi
+		done
+
+		# Make sure the VG's on the target disk don't span any other disks.
+		for vg in $targetvgs; do
+			vg_get_info $vg
+			if [ "$PVS" -gt "1" ]; then
+				log-output -t partman-auto-lvs vgs
+				db_input critical partman-auto/pv_on_device || true
+				db_go || true
+				return 1
+			fi
+		done
+
+		# Remove LV's from the target VG's first and the VG's next.
+		for vg in $targetvgs; do
+			for lv in $(vg_list_lvs $vg); do
+				lv_delete $vg $lv
+			done
+			vg_delete $vg
+
+			# Make sure that parted has no stale VG info
+			for tmpdev in $DEVICES/*; do
+				if [ "${tmpdev#/dev/mapper/}" = "$tmpdev" ]; then
+					continue
+				elif [ ! -b "$(cat $tmpdev/device)" ]; then
+					rm -rf $tmpdev
+				fi
+			done
+		done
+	fi
+	return 0
+}
+
 wipe_disk() {
 	cd $dev
 
+	lvm_wipe_disk || true
+
 	open_dialog LABEL_TYPES
 	types=$(read_list)
 	close_dialog
Index: debian/partman-auto.templates
===================================================================
--- debian/partman-auto.templates	(revision 40312)
+++ debian/partman-auto.templates	(working copy)
@@ -27,6 +27,21 @@
  use the guided partitioning tool, you will still have a chance later to
  review and customise the results.
 
+Template: partman-auto/purge_lvm_from_device
+Type: boolean
+Default: false
+_Description: Remove all Logical Volume Configuration?
+ Before creating any partitions, we need to remove all existing
+ Logical Volumes and Volume Groups from the disk.
+ .
+ WARNING     This will erase all data on LVM Partitions
+
+Template: partman-auto/pv_on_device
+Type: error
+_Description: Existing physical volume on the selected device
+ The device you selected already contains one or more physical volumes. It
+ is not possible to automatically partition this device using LVM.
+
 Template: partman-auto/disk
 Type: string
 # Only used for preseeding.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#375491; Package partman-auto-lvm. Full text and rfc822 format available.

Acknowledgement sent to Ronny Aasen <ronny@skolelinux.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #64 received at 375491@bugs.debian.org (full text, mbox):

From: Ronny Aasen <ronny@skolelinux.org>
To: David Härdeman <david@2gen.com>
Cc: 375491@bugs.debian.org
Subject: Re: Bug#375491: yet another lvm_removal_on_demand patch suggestion
Date: Tue, 29 Aug 2006 23:25:06 +0200
David Härdeman wrote:
> On Thu, Aug 24, 2006 at 09:27:49PM +0200, Ronny Aasen wrote:
>> Index: debian/partman-auto-lvm.templates
>> ===================================================================
>> --- debian/partman-auto-lvm.templates    (revision 40192)
>> +++ debian/partman-auto-lvm.templates    (working copy)
>> @@ -37,6 +37,15 @@
>>  You can choose to ignore this warning, but that may result in a 
>> failure to
>>  reboot the system after the installation is completed.
>>
>> +Template: partman-auto-lvm/purge_lvm_from_device
>> +Type: boolean
>> +Default: false
>> +_Description: Remove all Logical Volume Configuration?
>> + Before creating any Logical Volume Groups, we need to remove all 
>> exsisting
>                                                                    
> ^^^^^^^^^
>                                     existing
>> + Logical Volumes and Volume Groups from the disk we are partitioning.
>
> In general, I think phrases such as "we" should be avoided, but it 
> would be better if Christian/Kamion/joeyh could review the template.
>
>> + .
>> + WARNING     This will erase all data on LVM Partitions
> This will erase all data on the LVM volumes and on the disk?
>
>> +
>> Template: partman-auto-lvm/pv_on_device
>> Type: error
>> _Description: Existing physical volume on the selected device
>> Index: autopartition-lvm
>> ===================================================================
>> --- autopartition-lvm    (revision 40192)
>> +++ autopartition-lvm    (working copy)
>> @@ -26,10 +26,52 @@
>>     log-output -t update-dev update-dev
>> fi
>>
>> +
>> # Check if the device already contains any physical volumes
>> realdev=$(mapdevfs "$(cat $dev/device)")
>> if pv_on_device "$realdev"; then
>> -    bail_out pv_on_device
>> +    # Ask for mermission to erase LVM volumes +    db_set 
>> partman-auto-lvm/purge_lvm_from_device "false"
>
> I think db_set will override preseedings (as Geert said)...
>> +        db_input critical partman-auto-lvm/purge_lvm_from_device
>> +        db_go
>
> should be db_go || exit 1?

if you say so :)
>
>> +        db_get partman-auto-lvm/purge_lvm_from_device
>> +    if [ "$RET" = "true" ] ;then +   
>> +        targetvg=
>> +        #what volume groups is on any of the the disk partitions.
>> +        all_volume_groups=$(vg_list)
>> +        #we only care about vg's on the selected disk
>> +        for vg in $all_volume_groups
>> +        do   
>> +            if [ "$(vg_list_pvs "$vg" | grep -c "$realdev")" != "0" 
>> ] ; then
>
> this looks fishy...will it actually return zero? Shouldn't this be:
> if $(vg_list_pvs "$vg" | grep -q "$realdev"); then
>
grep -c returns a number of lines matching. 0 if none do.  but  -q will 
work as well and probably be a cleaner way to do it

>> +                targetvg=${targetvg}" $vg"
>
> weird quotation marks.....targetvg="$targetvg $vg" would be expected here
>
>> +            fi
>> +        done
>> +        for vg in $targetvg
>> +        do
>> +                #make sure the volume groups on the target disk 
>> don't span any other disks.
>
> very good idea
>
>> +            if [ "$(lvm_get_info vgs pv_count "$vg")" != "1" ] ; then
>> +                log-output -t partman-auto-lvs vgs
>> +                bail_out pv_on_device
>> +            fi
>> +        done
>> +       
>> +        #it should now be safe to remove the vg's on the target disks
>> +
>> +        #remove lv's  from the target vg's.
>> +        for vg in $targetvg
>> +        do
>> +            for lv in $(vg_list_lvs $vg)
>> +            do
>> +                #remove the logical volumes on the volume group
>> +                   lv_delete $vg $lv
>> +            done
>> +            #remove the volume group
>> +            vg_delete $vg
>> +        done
>> +    else
>> +        bail_out pv_on_device
>> +    fi
>
> in addition to lv_delete and vg_delete, a pv_delete should also be 
> done. It needs to be added to lvm-tools.sh, and should call pvremove, 
> I've just added it myself :)
>
>> fi
>>
>> choose_recipe "$free_size" lvm || exit $?
>
> After having looked at this, I'm wondering whether this shouldn't be 
> added to wipe_disk() in partman-auto/auto-shared.sh instead. If it 
> was, that would mean that all methods would be able to warn that they 
> are about to remove LVM VG/LV/PV's before actually doing so.
>
> Of course, it would need to include a check whether the lvm-tools.sh 
> script is present before doing so, but I think it would be a good idea 
> in general.
>
> I've attached a patch which details what this could look like...
>
> Thanks for your hard work on this and sorry that I've jumped in with 
> my comments so late :)
>
> Regards,
> David 

As long as it happens, it's good :)
thanks for reviewing and fixing, hope removal of lvm volume will  be 
included in next partman  :)

Regards
Ronny




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#375491; Package partman-auto-lvm. Full text and rfc822 format available.

Acknowledgement sent to David Härdeman <david@2gen.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #69 received at 375491@bugs.debian.org (full text, mbox):

From: David Härdeman <david@2gen.com>
To: Ronny Aasen <ronny@skolelinux.org>
Cc: 375491@bugs.debian.org, cjwatson@debian.org
Subject: Re: Bug#375491: yet another lvm_removal_on_demand patch suggestion
Date: Wed, 30 Aug 2006 08:39:58 +0200
[Message part 1 (text/plain, inline)]
>David Härdeman wrote:
>>I've attached a patch which details what this could look like...

And here's an updated patch. This one is tested and works with one 
exception: if you do an automated partman-auto-lvm install two times in 
a row, the parted server seems to become confused and the manual 
partitioning screen is messed up thereafter.

This still needs fixing but I'm unsure of what goes wrong and why (note 
that the idea of a "disappearing" disk, which is what a VG/LV removal 
looks like to parted, has not been tried yet in partman-* as far as I 
know).

I've CC:ed Colin Watson who perhaps knows a bit more than me about 
parted_server?

Latest patch attached...(the section under the "Make sure that parted 
has no stale LVM info" is what needs to be checked)...

Regards,
David
[375491-v2.patch (text/plain, inline)]
Index: partman-auto/debian/partman-auto.templates
===================================================================
--- partman-auto/debian/partman-auto.templates	(revision 40312)
+++ partman-auto/debian/partman-auto.templates	(working copy)
@@ -27,6 +27,21 @@
  use the guided partitioning tool, you will still have a chance later to
  review and customise the results.
 
+Template: partman-auto/purge_lvm_from_device
+Type: boolean
+Default: false
+_Description: Remove all Logical Volume Configuration?
+ Before creating any partitions, we need to remove all existing
+ Logical Volumes and Volume Groups from the disk.
+ .
+ WARNING     This will erase all data on LVM Partitions
+
+Template: partman-auto/pv_on_device
+Type: error
+_Description: Existing physical volume on the selected device
+ The device you selected already contains one or more physical volumes. It
+ is not possible to automatically partition this device using LVM.
+
 Template: partman-auto/disk
 Type: string
 # Only used for preseeding.
Index: partman-auto/auto-shared.sh
===================================================================
--- partman-auto/auto-shared.sh	(revision 40234)
+++ partman-auto/auto-shared.sh	(working copy)
@@ -1,9 +1,92 @@
 ## this file contains a bunch of shared code between partman-auto
 ## and partman-auto-lvm.
 
+# Wipes any traces of LVM from a disk
+# Normally you wouldn't want to use this function, 
+# but wipe_disk() which will also call this function.
+lvm_wipe_disk() {
+	local dev realdev vg pvs pv lv tmpdev
+	dev="$1"
+
+	if [ ! -e /lib/partman/lvm_tools.sh ]; then
+		return 0
+	fi
+
+	. /lib/partman/lvm_tools.sh
+
+	# Check if the device already contains any physical volumes
+	realdev=$(mapdevfs "$(cat $dev/device)")
+	if ! pv_on_device "$realdev"; then
+		return 0
+	fi
+
+	# Ask for permission to erase LVM volumes 
+	db_input critical partman-auto/purge_lvm_from_device
+	db_go || return 1
+	db_get partman-auto/purge_lvm_from_device
+	if [ "$RET" != "true" ]; then
+		db_input critical partman-auto/pv_on_device || true
+		db_go || true
+		return 1
+	fi
+
+	# Check all VG's
+	for vg in $(vg_list); do
+		pvs=$(vg_list_pvs $vg)
+		
+		# Only deal with VG's on the selected disk
+		if ! $(echo "$pvs" | grep -q "$realdev"); then
+			continue
+		fi
+
+		# Make sure the VG don't span any other disks
+		if $(echo -n "$pvs" | grep -q -v "$realdev"); then
+			log-output -t partman-auto-lvs vgs
+			db_input critical partman-auto/pv_on_device || true
+			db_go || true
+			return 1
+		fi
+
+		# Remove LV's from the VG
+		for lv in $(vg_list_lvs $vg); do
+			lv_delete $vg $lv
+		done
+
+		# Remove the VG and its PV's 
+		vg_delete $vg
+		for pv in $pvs; do
+			pv_delete $pv
+		done
+	done
+
+	# Make sure that parted has no stale LVM info
+	for tmpdev in $DEVICES/*; do
+		realdev=$(cat $tmpdev/device)
+
+		if ! $(echo "$realdev" | grep -q "/dev/mapper/"); then
+			continue
+		fi
+
+		if [ -b "$realdev" ]; then
+			continue
+		fi
+
+		cd $tmpdev
+		open_dialog CLOSE "$realdev"
+		read_line response
+		close_dialog
+
+		rm -rf $tmpdev
+	done
+
+	return 0
+}
+
 wipe_disk() {
 	cd $dev
 
+	lvm_wipe_disk "$dev" || return 1
+
 	open_dialog LABEL_TYPES
 	types=$(read_list)
 	close_dialog
Index: partman-auto-lvm/debian/partman-auto-lvm.templates
===================================================================
--- partman-auto-lvm/debian/partman-auto-lvm.templates	(revision 40234)
+++ partman-auto-lvm/debian/partman-auto-lvm.templates	(working copy)
@@ -37,12 +37,6 @@
  You can choose to ignore this warning, but that may result in a failure to
  reboot the system after the installation is completed.
 
-Template: partman-auto-lvm/pv_on_device
-Type: error
-_Description: Existing physical volume on the selected device
- The device you selected already contains one or more physical volumes. It
- is not possible to automatically partition this device using LVM.
-
 Template: partman-auto-lvm/vg_exists
 Type: error
 _Description: Volume group name already in use
Index: partman-auto-lvm/autopartition-lvm
===================================================================
--- partman-auto-lvm/autopartition-lvm	(revision 40234)
+++ partman-auto-lvm/autopartition-lvm	(working copy)
@@ -26,12 +26,6 @@
 	log-output -t update-dev update-dev
 fi
 
-# Check if the device already contains any physical volumes
-realdev=$(mapdevfs "$(cat $dev/device)")
-if pv_on_device "$realdev"; then
-	bail_out pv_on_device
-fi
-
 choose_recipe "$free_size" lvm || exit $?
 
 wipe_disk || exit $?

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#375491; Package partman-auto-lvm. Full text and rfc822 format available.

Acknowledgement sent to David Härdeman <david@2gen.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #74 received at 375491@bugs.debian.org (full text, mbox):

From: David Härdeman <david@2gen.com>
To: Ronny Aasen <ronny@skolelinux.org>
Cc: 375491@bugs.debian.org, cjwatson@debian.org
Subject: Re: Bug#375491: yet another lvm_removal_on_demand patch suggestion
Date: Wed, 30 Aug 2006 19:07:58 +0200
On Wed, Aug 30, 2006 at 08:39:58AM +0200, David Härdeman wrote:
>And here's an updated patch. This one is tested and works with one 
>exception: if you do an automated partman-auto-lvm install two times in 
>a row, the parted server seems to become confused and the manual 
>partitioning screen is messed up thereafter.
>
>This still needs fixing but I'm unsure of what goes wrong and why (note 
>that the idea of a "disappearing" disk, which is what a VG/LV removal 
>looks like to parted, has not been tried yet in partman-* as far as I 
>know).
>
>I've CC:ed Colin Watson who perhaps knows a bit more than me about 
>parted_server?
>
>Latest patch attached...(the section under the "Make sure that parted 
>has no stale LVM info" is what needs to be checked)...

Nevermind, I found a fix for this problem. I've committed the fixed 
patch to SVN today.

Regards,
David



Tags added: pending Request was from David Härdeman <david@2gen.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Frans Pop <elendil@planet.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #81 received at 375491-close@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 375491-close@bugs.debian.org
Subject: Bug#375491: fixed in partman-auto 55
Date: Thu, 31 Aug 2006 14:51:48 -0700
Source: partman-auto
Source-Version: 55

We believe that the bug you reported is fixed in the latest version of
partman-auto, which is due to be installed in the Debian FTP archive:

partman-auto_55.dsc
  to pool/main/p/partman-auto/partman-auto_55.dsc
partman-auto_55.tar.gz
  to pool/main/p/partman-auto/partman-auto_55.tar.gz
partman-auto_55_i386.udeb
  to pool/main/p/partman-auto/partman-auto_55_i386.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 375491@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated partman-auto package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 31 Aug 2006 17:21:00 -0400
Source: partman-auto
Binary: partman-auto
Architecture: source i386
Version: 55
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Joey Hess <joeyh@debian.org>
Description: 
 partman-auto - Automatically partition storage devices (partman) (udeb)
Closes: 255024 375257 375491 381693 382315 384527
Changes: 
 partman-auto (55) unstable; urgency=low
 .
   [ Simon Huggins ]
   * Add support for autopartitioning multiple disks.
   * Move initial_auto to priority 96 for partman-auto-raid to squeeze in
     afterwards.
 .
   [ Martin Michlmayr ]
   * Create recipes for arm/iop32x (separate /boot partition, as needed by
     the GLAN Tank).
 .
   [ David Härdeman ]
   * Mark swap partitions as lvmok in recipies which support lvm per
     discussion in debian-boot (http://lists.debian.org/debian-
     boot/2006/08/msg00862.html)
   * Add a function to remove LVM configs from a disk which is about to
     be wiped. Closes: #375491, #381693, #382315.
   * Do not suggest part'ing RAID/LVM volumes. Closes: #255024, #375257
   * Implement two-level menu split. Closes: #384527
 .
   [ Updated translations ]
   * Catalan (ca.po) by Jordi Mallach
   * Czech (cs.po) by Miroslav Kure
   * Danish (da.po) by Claus Hindsgaul
   * German (de.po) by Jens Seidel
   * Greek, Modern (1453-) (el.po) by quad-nrg.net
   * Esperanto (eo.po) by Serge Leblanc
   * Spanish (es.po) by Javier Fernández-Sanguino Peña
   * Estonian (et.po) by Siim Põder
   * Basque (eu.po) by Piarres Beobide
   * Finnish (fi.po) by Tapio Lehtonen
   * French (fr.po) by Christian Perrier
   * Galician (gl.po) by Jacobo Tarrio
   * Gujarati (gu.po) by Kartik Mistry
   * Hebrew (he.po) by Lior Kaplan
   * Hungarian (hu.po) by SZERVÁC Attila
   * Indonesian (id.po) by Arief S Fitrianto
   * Icelandic (is.po) by David Steinn Geirsson
   * Italian (it.po) by Giuseppe Sacco
   * Japanese (ja.po) by Kenshi Muto
   * Khmer (km.po) by Khoem Sokhem
   * Korean (ko.po) by Sunjae park
   * Lithuanian (lt.po) by Kęstutis Biliūnas
   * Macedonian (mk.po) by Georgi Stanojevski
   * Norwegian Bokmål (nb.po) by Bjørn Steensrud
   * Dutch (nl.po) by Bart Cornelis
   * Panjabi (pa.po) by A S Alam
   * Polish (pl.po) by Bartosz Fenski
   * Portuguese (pt.po) by Miguel Figueiredo
   * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
   * Romanian (ro.po) by Eddy Petrişor
   * Russian (ru.po) by Yuri Kozlov
   * Northern Sami (se.po) by Børre Gaup
   * Slovak (sk.po) by Peter Mann
   * Swedish (sv.po) by Daniel Nylander
   * Thai (th.po) by Theppitak Karoonboonyanan
   * Tagalog (tl.po) by Eric Pareja
   * Turkish (tr.po) by Recai Oktaş
   * Ukrainian (uk.po) by Eugeniy Meshcheryakov
   * Vietnamese (vi.po) by Clytie Siddall
   * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
   * Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
   * Traditional Chinese (zh_TW.po) by Tetralet
Files: 
 c731fba2790784b54d928dae3c637289 627 debian-installer standard partman-auto_55.dsc
 8a13c562ea3562124dfbef5fc4eb8004 88122 debian-installer standard partman-auto_55.tar.gz
 fc30a5425b73606b4a263627b8817477 51366 debian-installer standard partman-auto_55_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFE91Rc2tp5zXiKP0wRAvqAAKDP4Y4sYmPkqIHeEY73ifkH9/5YmwCfSvOk
V5Efi+bFPcfFPgRwVLKBAjk=
=bjNY
-----END PGP SIGNATURE-----




Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Jason Self" <jason.self@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ronny Aasen <ronny@datapart-as.no>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #92 received at 375491-done@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 375491-done@bugs.debian.org
Subject: Really mark these done
Date: Thu, 05 Oct 2006 01:34:58 +0200



Bug reassigned from package `partman-auto-lvm' to `partman-auto'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 15:46:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:52:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.